# $Revision: 1.18 $, $Date: 2010/09/21 18:59:50 $
#
# Conditional build:
%bcond_without  tintwizard	# build without tintwizard
#
Summary:	tint2 is a simple panel/taskbar intentionally made for openbox3
Summary(pl.UTF-8):	tint2 jest prostym panelem oryginalnie zaprojektowanym dla openbox3
Name:		tint2
Version:	0.11
Release:	2
License:	GPL v2
Group:		Applications
Source0:	http://tint2.googlecode.com/files/%{name}-%{version}.tar.bz2
# Source0-md5:	6fc5731e7425125fa84a2add5cef4bff
Source1:	http://tint2.googlecode.com/files/%{name}-0.7.pdf
# Source1-md5:	25980bd22fabc6a66660173fa639957b
URL:		http://code.google.com/p/tint2/
BuildRequires:	cairo-devel
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	glib2-devel
BuildRequires:	imlib2-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	pango-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXinerama-devel
%if %{with tintwizard}
Requires:	python
Requires:	python-pygtk-gtk
%endif
Suggests:	openbox
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tint2 is a simple panel/taskbar intentionally made for openbox3, but
should also work with other window managers. It's based on ttm code
http://code.google.com/p/ttm/

%description -l pl.UTF-8
tint2 jest prostym panelem/zasobnikiem oryginalnie zaprojektowanym dla
openbox3, ale powinien również współpracować z innymi menadżerami
okien. Jego kod oparty jest na ttm http://code.google.com/p/ttm/

%package examples
Summary:	tint2 - example configurations
Summary(pl.UTF-8):	tint2 - przykładowe konfiguracje
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description examples
tint2 - example configurations.

%description examples -l pl.UTF-8
tint2 - przykładowe konfiguracje.

%prep
%setup -q -n %{name}-%{version}
mkdir build

%build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_usr} \
	..
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%{?with_tintwizard:install -d $RPM_BUILD_ROOT%{_bindir}}

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_tintwizard:cp src/tint2conf/tintwizard.py $RPM_BUILD_ROOT%{_bindir}}
cp %{SOURCE1} doc
install sample/*.tint2rc $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README doc/tint2-0.7.pdf
%attr(755,root,root) %{_bindir}/tint2
%attr(755,root,root) %{_bindir}/tint2conf
%{?with_tintwizard:%attr(755,root,root) %{_bindir}/tintwizard.py}
%dir %{_sysconfdir}/xdg/tint2
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/tint2/tint2rc
%dir %{_datadir}/tint2
%{_datadir}/tint2/default_icon.png
%{_mandir}/man1/tint2.1.*
%{_pixmapsdir}/tint2conf.png
%{_pixmapsdir}/tint2conf.svg
%{_desktopdir}/tint2conf.desktop

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tint2.spec,v $
Revision 1.18  2010/09/21 18:59:50  glen
- release 2

Revision 1.17  2010/08/28 11:10:05  duddits
- works, back to rel. 1

Revision 1.16  2010/08/15 21:11:06  duddits
- forgot to add info about dropping obsolete patch

Revision 1.15  2010/08/15 21:05:46  duddits
- up to 0.11
- it now uses cmake build, BR: cmake
- drop auto-hell
- BR: desktop-file-utils
- mo' files!
- back to .1 rel. for testing purposes
- patch obsoleted, config file now resides under ~/.config/tint2
  directory

Revision 1.14  2010/03/22 20:10:51  duddits
- up to 0.9
- rel. 1
- looks like it works after all
- pdf doc is a bit outdated but they don't have any newer one

Revision 1.13  2010/01/20 18:02:00  sparky
- BR: xorg-lib-libXcomposite-devel, xorg-lib-libXdamage-devel

Revision 1.12  2010/01/19 22:06:09  duddits
- up to 0.9-rc1
- more %files

Revision 1.11  2010/01/05 20:21:40  sparky
- BR: rpm-pythonprov

Revision 1.10  2010/01/05 20:11:16  duddits
- tintwizard_conf.patch: move tintwizard.conf under $HOME/.config

Revision 1.9  2010/01/04 21:04:21  duddits
- bcond desc fixed, thanks sparky {:

Revision 1.8  2010/01/04 20:24:42  duddits
- bcond corrected

Revision 1.7  2010/01/04 20:07:35  duddits
- up to 0.8
- new bcond: tintwizard and corresponding R: added
- new examples

Revision 1.6  2009/09/05 10:07:47  duddits
- rel. 1, works

Revision 1.5  2009/07/26 15:01:59  duddits
- up to 0.7.1
- auto-hell added
- examples, pdf doc

Revision 1.4  2009/05/15 19:11:03  sparky
- don't use prebuilt binary
- use __cc and rpm*flags

Revision 1.3  2009/05/11 20:09:33  duddits
- up to 0.7-beta1
- changenames.patch obsoleted
- config file format has changed (it is converted automatically)
- this is beta, so be careful

Revision 1.2  2009/01/12 18:30:35  duddits
- BR: libpng-devel

Revision 1.1  2009/01/12 09:24:49  duddits
- new
